mob/var/radius = 5

mob/proc/radar( r = radius )

	for( var/x in client.screen )
		if( !istype( x, /obj/hudbg ) )
			client.screen -= x

	var/isOdd = ( radius*2+1 % 2 )
	screen_loc = "radar:" + ( isOdd ? "[radius+1],[radius+1]": "[radius+1]:16,[radius+1]:16" )
	client.screen += src

	for( var/atom/movable/a in orange( r, src ) )
		var/hx = "[r+1+(-( x-a.x ))][isOdd? "":":16"]"
		var/hy = "[r+1+(-( y-a.y ))][isOdd? "":":16"]"
		a.screen_loc = "radar:[hx],[hy]"
		client.screen += a

mob/verb/changeRadius( n as num )
	radius = min( max( 1, n ), 10 )
	client.screen = list()
	var/reach = radius*2+1
	client.screen += new /obj/hudbg( "1,1 to [reach],[reach]" )
	radar()

obj/hudbg
	icon = 'grass.dmi'
	layer = 1
	New( screen_loc )
		. = ..()
		src.screen_loc = "radar:[screen_loc]"

client/New()
	screen += new /obj/hudbg( "1,1 to 11,11" )
	..()

mob/Move()
	. = ..()
	if( . )
		radar()

mob/icon = 'mob.dmi'

world/turf = /turf/grass
turf/grass
	icon = 'grass.dmi'

obj
	tree
		icon = 'tree.dmi'
	rock
		icon = 'rock.dmi'

world/New()
	for( var/z = 1 to world.maxz )
		for( var/x = 1 to world.maxx )
			for( var/y = 1 to world.maxy )
				var/t = pick( /obj/tree, /obj/rock )
				if( prob( 10 ) )
					new t( locate( x, y, z ) )